Bug 1206106 - Create a java tarball that works on CentOS 6, taskcluster task template, NPOTB r=testing
☠☠ backed out by 2b97d48dcddb ☠ ☠
authorJordan Lund <jlund@mozilla.com>
Tue, 22 Sep 2015 11:34:15 -0700
changeset 263763 520103c26e0c757ce307f18e4d0becfa2f76868f
parent 263762 000fe1df3e59205656d94812029c566fffc5832d
child 263764 75f7e04683eccc503ab1dcd91ceec95208aa3ae2
push id65426
push userjlund@mozilla.com
push dateTue, 22 Sep 2015 18:34:29 +0000
treeherdermozilla-inbound@520103c26e0c [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewerstesting
bugs1206106
milestone44.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1206106 - Create a java tarball that works on CentOS 6, taskcluster task template, NPOTB r=testing
testing/taskcluster/scripts/misc/repackage-jdk-centos.sh
testing/taskcluster/scripts/misc/repackage-jdk-ubuntu.sh
testing/taskcluster/scripts/misc/repackage-jdk.sh
new file mode 100755
--- /dev/null
+++ b/testing/taskcluster/scripts/misc/repackage-jdk-centos.sh
@@ -0,0 +1,33 @@
+#! /bin/bash
+
+set -e -x
+
+mkdir artifacts
+cd build
+
+rm -rf root && mkdir root && cd root
+
+# change these variables when updating java version
+mirror_url_base="http://mirror.centos.org/centos/6.7/updates/x86_64/Packages"
+openjdk=java-1.7.0-openjdk-1.7.0.85-2.6.1.3.el6_7.x86_64.rpm
+openjdk_devel=java-1.7.0-openjdk-1.7.0.85-2.6.1.3.el6_7.x86_64.rpm
+jvm_openjdk_dir=java-1.7.0-openjdk-1.7.0.85.x86_64
+
+# grab the rpm and unpack it
+wget ${mirror_url_base}/${openjdk}
+wget ${mirror_url_base}/${openjdk_devel}
+rpm2cpio $openjdk | cpio -ivd
+rpm2cpio $openjdk_devel | cpio -ivd
+
+cd usr/lib/jvm
+mv $jvm_openjdk_dir java_home
+
+# document version this is based on
+echo "Built from ${mirror_url_Base}
+    ${openjdk}
+    ${openjdk_devel}
+
+Run through rpm2cpio | cpio, and /usr/lib/jvm/${jvm_openjdk_dir} renamed to 'java_home'." > java_home/VERSION
+
+# tarball the unpacked rpm and put it in the taskcluster upload artifacts dir
+tar -Jvcf ~/artifacts/java_home-${jvm_openjdk_dir}.tar.xz java_home
rename from testing/taskcluster/scripts/misc/repackage-jdk.sh
rename to testing/taskcluster/scripts/misc/repackage-jdk-ubuntu.sh